HPL_ladd(3)

NAME
HPL_ladd - Adds two long positive integers.

SYNOPSIS
#include "hpl.h"

void HPL_ladd( int * J, int * K, int * I );

DESCRIPTION
HPL_ladd adds without carry two long positive integers K and J and puts the result into I. The long integers I, J, K are encoded on 64 bits using an array of 2 integers. The 32-lower bits are stored in the first entry of each array, the 32-higher bits in the second entry.

ARGUMENTS

J       (local input)           int *
    On entry, J is an integer array of dimension 2 containing the encoded long integer J.

K       (local input)           int *
    On entry, K is an integer array of dimension 2 containing the encoded long integer K.

I       (local output)          int *
    On entry, I is an integer array of dimension 2. On exit, this array contains the encoded long integer result.

SEE ALSO
HPL_lmul (3), HPL_setran (3), HPL_xjumpm (3), HPL_jumpit (3), HPL_rand (3).